package com.fjhx.service.impl;

import com.baomidou.mybatisplus.core.toolkit.ObjectUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.entity.EmailMailbox;
import com.fjhx.mapper.EmailMailboxMapper;
import com.fjhx.service.IEmailMailboxService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zlj
 * @since 2022-12-20
 */
@Service
public class EmailMailboxServiceImpl extends ServiceImpl<EmailMailboxMapper, EmailMailbox> implements IEmailMailboxService {

    @Override
    public List<EmailMailbox> getList(EmailMailbox emailMailbox) {
        Long emailInfoId = emailMailbox.getEmailInfoId();
        String email = emailMailbox.getEmail();
        Boolean isShow = emailMailbox.getIsShow();

        List<EmailMailbox> list = list(Wrappers.<EmailMailbox>lambdaQuery()
                .eq(ObjectUtils.isNotEmpty(emailInfoId), EmailMailbox::getEmailInfoId, emailInfoId)
                .eq(ObjectUtils.isNotEmpty(email), EmailMailbox::getEmail, email)
                .eq(ObjectUtils.isNotEmpty(isShow), EmailMailbox::getIsShow, isShow)
        );

        return list;
    }
}
