package com.fjhx.vo;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

@Data
public class MessageVo {

    private Integer total;

    private Integer page;

    private Integer pages;

    private List<MessagesDTO> messages;

    @Data
    public static class MessagesDTO {

        private String id;

        private Integer uid;

        private Date date;

        private List<String> flags;

        private Integer size;

        private String subject;

        private FromDTO from;

        private List<ReplyToDTO> replyTo;

        private List<ToDTO> to;

        private String messageId;

        private TextDTO text;

        private List<AttachmentsDTO> attachments;


        @Data
        public static class FromDTO {

            private String name;

            private String address;
        }

        @Data
        public static class TextDTO {

            private String id;

            private EncodedSizeDTO encodedSize;

            @Data
            public static class EncodedSizeDTO {
                private Integer html;
            }
        }

        @Data
        public static class ReplyToDTO {

            private String name;

            private String address;
        }

        @Data
        public static class ToDTO {

            private String name;

            private String address;
        }

        @Data
        public static class AttachmentsDTO {

            private String id;

            private String contentType;

            private Integer encodedSize;

            private String filename;

            private Boolean embedded;

            private Boolean inline;
        }
    }

}
